Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm.plugins.tyrex
Interface TransactionManagerServiceMBean

All Superinterfaces:
  Service, ServiceMBean

All Known Implementing Classes:
  TransactionManagerService

public interface TransactionManagerServiceMBean
extends ServiceMBean

MBean interface for the Tyrex TransactionManager (not all calls are implemented)

Version:
  $Revision: 1.1.4.1 $
Author:
  Anatoly Akkerman
See Also:
  `TransactionManagerService`

Field Summary
`static java.lang.String` | `OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Method Summary
`java.lang.String` | `getConfigFileName()`
`void` | `setConfigFileName(java.lang.String name)`

Methods inherited from interface org.jboss.util.ServiceMBean
`getName, getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Field Detail

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

Method Detail

### getConfigFileName

    public java.lang.String getConfigFileName()

### setConfigFileName

    public void setConfigFileName(java.lang.String name)
                           throws java.io.IOException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.